# Get query nodes

GetAssessmentQueryNodes returns node details for entities in the query results, with a paginated response.

Please note that the total number of the results is not provided . To get a result count, use [GetAssessmentQueryResult](/4yItIzMvkpAvMVFAamTf/developers/api/query-builder/getassessmentqueryresult.md).

{% openapi src="/files/Aco9gj4MY2XoNiD4zIjr" path="/api/v1/assessments/queries/{id}:nodes" method="get" %}
[openapi.yaml](https://1967633068-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MZDkWMxox3pekd0NsZJ%2Fuploads%2Fgit-blob-f5344805587160cf141bde637e04e03e2aa86778%2Fopenapi.yaml?alt=media)
{% endopenapi %}

Sample request:

```bash
curl -X 'GET' "$BASE_URL/api/v1/assessments/queries/06799e24-cd93-4509-94bc-f00b27ed5e3c:nodes" \
-H "authorization: Bearer $VEZA_TOKEN"
```

Sample response:

```json
{
  "values": [
    {
      "id": "arn:aws:iam::877042069677:user/j.smith",
      "type": "AwsIamUser",
      "properties": {
        "aws_account_id": "877042069677",
        "datasource_id": "877042069677:awsiam",
        "name": "j.smith",
        "provider_id": "877042069677"
      },
      "destination_node_count": 1,
      "permissions": [],
      "engagement_access_stats": null,
      "access_stats": null,
      "destination_node_ids": [],
      "risk_level": "CRITICAL",
      "raw_permissions": [],
      "effective_permissions": []
    },
    {
      "id": "arn:aws:iam::877042069677:user/jsmith-lab-01",
      "type": "AwsIamUser",
      "properties": {
        "aws_account_id": "877042069677",
        "datasource_id": "877042069677:awsiam",
        "name": "jsmith-lab-01",
        "provider_id": "877042069677"
      },
      "destination_node_count": 1,
      "permissions": [],
      "engagement_access_stats": null,
      "access_stats": null,
      "destination_node_ids": [],
      "risk_level": "CRITICAL",
      "raw_permissions": [],
      "effective_permissions": []
    }
  ],
  "path_values": [],
  "next_page_token": "",
  "has_more": false
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.veza.com/4yItIzMvkpAvMVFAamTf/developers/api/query-builder/getassessmentquerynodes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
